[RISOLTO] Errore dpkg dopo il dist-upgrade

Discussioni relative a Debian e Linux

[RISOLTO] Errore dpkg dopo il dist-upgrade

Messaggioda AAt490 » 01/09/2018, 19:32

Ciao ragazzi.
Ho appena eseguito il dist-upgrade da Stretch a Buster, il sistema si è riavviato e ho dato:" apt-get upgrade " dpkg mi ha restituito questo errore :
Codice: Seleziona tutto
I seguenti pacchetti saranno aggiornati:
  xserver-xorg-core xserver-xorg-video-amdgpu xserver-xorg-video-ati
  xserver-xorg-video-fbdev xserver-xorg-video-intel xserver-xorg-video-nouveau
  xserver-xorg-video-qxl xserver-xorg-video-radeon xserver-xorg-video-vesa
  xserver-xorg-video-vmware
10 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
È necessario scaricare 0 B/6.728 kB di archivi.
Dopo quest'operazione, verranno occupati 165 kB di spazio su disco.
Continuare? [S/n] S
Lettura dei changelog... Fatto
dpkg: attenzione: "ldconfig" non è stato trovato in PATH o non è un eseguibile
dpkg: attenzione: "start-stop-daemon" non è stato trovato in PATH o non è un eseguibile
dpkg: errore: 2 programmi attesi non sono stati trovati in PATH o non sono eseguibili
Nota: la variabile PATH di root dovrebbe contenere /usr/local/sbin, /usr/sbin e /sbin
E: Sub-process /usr/bin/dpkg returned an error code (2)


Il sistema non si aggiorna più e non mi permette di installare nulla con apt, qualche idea per risolverlo ?
Ultima modifica di AAt490 il 02/09/2018, 19:06, modificato 2 volte in totale.
AAt490
Newbie
Newbie
 
Messaggi: 6
Iscritto il: 01/09/2018, 19:27

Re: Errore dpkg dopo il dost-upgrade

Messaggioda Aki » 01/09/2018, 21:30

Ciao, quanto riferisci è conseguenza di un recente aggiornamento per Debian Testing e Debian Unstable, che sarà presente nella futura Debian Stable.

Puoi consultare la discussione http://forum.debianizzati.org/viewtopic.php?f=23&t=54628&p=214722#p214710 per la soluzione.

Riporto anche il riferimento alla mailing list debian-italian dove è segnalata una situazione simile alla tua e riconducibile ad analoga causa: https://lists.debian.org/debian-italian/2018/08/msg00011.html

post scriptum: per cortesia, correggi l'oggetto della discussione (non hai fatto un "dost-upgrade", ma un "dist-upgrade") ed inoltre il dist-upgrade lo hai fatto da "stretch" e non da "stretc".
Aki
Global Moderator
Global Moderator
 
Messaggi: 7927
Iscritto il: 27/12/2007, 16:59

Re: Errore dpkg dopo il dist-upgrade

Messaggioda AAt490 » 02/09/2018, 19:05

Ok, Risolto aggiungendo le righe con #visudo...Grazie.
AAt490
Newbie
Newbie
 
Messaggi: 6
Iscritto il: 01/09/2018, 19:27


Torna a Generale

Chi c’è in linea

Visitano il forum: Nessuno e 5 ospiti